## org.eclipse.m2m.atl.profiler.exportmodel
Interface ExportElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AtlOperationExport, ProfilingOperationExport

All Known Implementing Classes:
  AtlOperationExportImpl, ExportElementImpl, ProfilingOperationExportImpl

    public interface ExportElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Export Element'.

The following features are supported:

- `Name`
- `Tim Execution`
- `Instructions`
- `Begin Memory`
- `Max Memory`
- `End Memory`
- `Total Time Execution Percent`
- `Total Instructions Percent`

See Also:
  `ExportmodelPackage.getExportElement()`

Method Summary
`long` `getBeginMemory()` Returns the value of the 'Begin Memory' attribute
`long` `getEndMemory()` Returns the value of the 'End Memory' attribute
`long` `getInstructions()` Returns the value of the 'Instructions' attribute
`long` `getMaxMemory()` Returns the value of the 'Max Memory' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`double` `getTimExecution()` Returns the value of the 'Tim Execution' attribute
`java.lang.String` `getTotalInstructionsPercent()` Returns the value of the 'Total Instructions Percent' attribute
`java.lang.String` `getTotalTimeExecutionPercent()` Returns the value of the 'Total Time Execution Percent' attribute
`void` `setBeginMemory(long value)` Sets the value of the '`Begin Memory`' attribute
`void` `setEndMemory(long value)` Sets the value of the '`End Memory`' attribute
`void` `setInstructions(long value)` Sets the value of the '`Instructions`' attribute
`void` `setMaxMemory(long value)` Sets the value of the '`Max Memory`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setTimExecution(double value)` Sets the value of the '`Tim Execution`' attribute
`void` `setTotalInstructionsPercent(java.lang.String value)` Sets the value of the '`Total Instructions Percent`' attribute
`void` `setTotalTimeExecutionPercent(java.lang.String value)` Sets the value of the '`Total Time Execution Percent`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `ExportmodelPackage.getExportElement_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getTimExecution

    double getTimExecution()

  Returns the value of the 'Tim Execution' attribute.

  If the meaning of the 'Tim Execution' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tim Execution' attribute.
  See Also:
    `setTimExecution(double)`, `ExportmodelPackage.getExportElement_TimExecution()`

### setTimExecution

    void setTimExecution(double value)

  Sets the value of the '`Tim Execution`' attribute.

  Parameters:
    `value` - the new value of the 'Tim Execution' attribute.
  See Also:
    `getTimExecution()`

### getInstructions

    long getInstructions()

  Returns the value of the 'Instructions' attribute.

  If the meaning of the 'Instructions' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Instructions' attribute.
  See Also:
    `setInstructions(long)`, `ExportmodelPackage.getExportElement_Instructions()`

### setInstructions

    void setInstructions(long value)

  Sets the value of the '`Instructions`' attribute.

  Parameters:
    `value` - the new value of the 'Instructions' attribute.
  See Also:
    `getInstructions()`

### getBeginMemory

    long getBeginMemory()

  Returns the value of the 'Begin Memory' attribute.

  If the meaning of the 'Begin Memory' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Begin Memory' attribute.
  See Also:
    `setBeginMemory(long)`, `ExportmodelPackage.getExportElement_BeginMemory()`

### setBeginMemory

    void setBeginMemory(long value)

  Sets the value of the '`Begin Memory`' attribute.

  Parameters:
    `value` - the new value of the 'Begin Memory' attribute.
  See Also:
    `getBeginMemory()`

### getMaxMemory

    long getMaxMemory()

  Returns the value of the 'Max Memory' attribute.

  If the meaning of the 'Max Memory' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Memory' attribute.
  See Also:
    `setMaxMemory(long)`, `ExportmodelPackage.getExportElement_MaxMemory()`

### setMaxMemory

    void setMaxMemory(long value)

  Sets the value of the '`Max Memory`' attribute.

  Parameters:
    `value` - the new value of the 'Max Memory' attribute.
  See Also:
    `getMaxMemory()`

### getEndMemory

    long getEndMemory()

  Returns the value of the 'End Memory' attribute.

  If the meaning of the 'End Memory' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Memory' attribute.
  See Also:
    `setEndMemory(long)`, `ExportmodelPackage.getExportElement_EndMemory()`

### setEndMemory

    void setEndMemory(long value)

  Sets the value of the '`End Memory`' attribute.

  Parameters:
    `value` - the new value of the 'End Memory' attribute.
  See Also:
    `getEndMemory()`

### getTotalTimeExecutionPercent

    java.lang.String getTotalTimeExecutionPercent()

  Returns the value of the 'Total Time Execution Percent' attribute.

  If the meaning of the 'Total Time Execution Percent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Time Execution Percent' attribute.
  See Also:
    `setTotalTimeExecutionPercent(String)`, `ExportmodelPackage.getExportElement_TotalTimeExecutionPercent()`

### setTotalTimeExecutionPercent

    void setTotalTimeExecutionPercent(java.lang.String value)

  Sets the value of the '`Total Time Execution Percent`' attribute.

  Parameters:
    `value` - the new value of the 'Total Time Execution Percent' attribute.
  See Also:
    `getTotalTimeExecutionPercent()`

### getTotalInstructionsPercent

    java.lang.String getTotalInstructionsPercent()

  Returns the value of the 'Total Instructions Percent' attribute.

  If the meaning of the 'Total Instructions Percent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Instructions Percent' attribute.
  See Also:
    `setTotalInstructionsPercent(String)`, `ExportmodelPackage.getExportElement_TotalInstructionsPercent()`

### setTotalInstructionsPercent

    void setTotalInstructionsPercent(java.lang.String value)

  Sets the value of the '`Total Instructions Percent`' attribute.

  Parameters:
    `value` - the new value of the 'Total Instructions Percent' attribute.
  See Also:
    `getTotalInstructionsPercent()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.